GNU Radio C++ API Reference: rpcserver_booter_thrift Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcserver_booter_thrift Class Reference

`#include <gnuradio/rpcserver_booter_thrift.h>`

## Public Member Functions
| rpcserver_booter_thrift ()
| ~rpcserver_booter_thrift ()
rpcserver_base * | i ()
const std::string & | type ()
const std::vector< std::string > | endpoints ()
Public Member Functions inherited from rpcserver_booter_base
| rpcserver_booter_base ()
virtual | ~rpcserver_booter_base ()
Public Member Functions inherited from thrift_server_template< rpcserver_base, rpcserver_thrift, rpcserver_booter_thrift >
| thrift_server_template (rpcserver_booter_thrift *_this)
| ~thrift_server_template ()
Public Member Functions inherited from thrift_application_base< rpcserver_base, rpcserver_booter_thrift >
| thrift_application_base (rpcserver_booter_thrift *_app)
| ~thrift_application_base ()

## Additional Inherited Members
Static Public Member Functions inherited from thrift_application_base< rpcserver_base, rpcserver_booter_thrift >
static rpcserver_base * | i ()
static const std::vector< std::string > | endpoints ()
Protected Member Functions inherited from thrift_server_template< rpcserver_base, rpcserver_thrift, rpcserver_booter_thrift >
rpcserver_base * | i_impl ()
Protected Member Functions inherited from thrift_application_base< rpcserver_base, rpcserver_booter_thrift >
void | set_endpoint (const std::string &endpoint)
Protected Attributes inherited from thrift_application_base< rpcserver_base, rpcserver_booter_thrift >
std::unique_ptr< apache::thrift::server::TServer > | d_thriftserver
gr::logger_ptr | d_logger
gr::logger_ptr | d_debug_logger
Static Protected Attributes inherited from thrift_application_base< rpcserver_base, rpcserver_booter_thrift >
static rpcserver_booter_thrift * | d_application
static const unsigned int | d_default_max_init_attempts
static const unsigned int | d_default_thrift_port
static const unsigned int | d_default_num_thrift_threads
static const unsigned int | d_default_thrift_buffer_size

## Constructor & Destructor Documentation

## ◆ rpcserver_booter_thrift()

rpcserver_booter_thrift::rpcserver_booter_thrift | ( |  | ) |

## ◆ ~rpcserver_booter_thrift()

rpcserver_booter_thrift::~rpcserver_booter_thrift | ( |  | ) |

## Member Function Documentation

## ◆ endpoints()

const std::vector< std::string > rpcserver_booter_thrift::endpoints | ( |  | ) |
| virtual

Implements rpcserver_booter_base.

## ◆ i()

rpcserver_base * rpcserver_booter_thrift::i | ( |  | ) |
| virtual

Implements rpcserver_booter_base.

## ◆ type()

const std::string & rpcserver_booter_thrift::type | ( |  | ) |
| inlinevirtual

Implements rpcserver_booter_base.

The documentation for this class was generated from the following file:

- rpcserver_booter_thrift.h